ValidationComplete (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.repair.messages

## Class ValidationComplete

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage
  - - org.apache.cassandra.repair.messages.ValidationComplete

-     public class ValidationComplete
      extends RepairMessage

  ValidationComplete message is sent when validation compaction completed successfully.
  Since:
    2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `RepairMessage.MessageSerializer<T extends RepairMessage>, RepairMessage.RepairMessageSerializer, RepairMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RepairMessage.MessageSerializer` | `serializer`
    `MerkleTrees` | `trees` Merkle hash tree response.

    - ### Fields inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `desc, messageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationComplete(RepairJobDesc desc)`
    `ValidationComplete(RepairJobDesc desc, MerkleTrees trees)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `boolean` | `success()`

    - ### Methods inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `createMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static RepairMessage.MessageSerializer serializer

    - #### trees

          public final MerkleTrees trees

      Merkle hash tree response. Null if validation failed.

  - ### Constructor Detail

    - #### ValidationComplete

          public ValidationComplete(RepairJobDesc desc)

    - #### ValidationComplete

          public ValidationComplete(RepairJobDesc desc,
                                    MerkleTrees trees)

  - ### Method Detail

    - #### success

          public boolean success()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation